///////////////////////////////////////////////////////////////////////////////////////////////////
// OpenGL Mathematics Copyright (c) 2005 - 2007 G-Truc Creation (www.g-truc.net)
///////////////////////////////////////////////////////////////////////////////////////////////////
// Created : 2005-04-03
// Updated : 2007-08-03
// Licence : This source is under GNU LGPL licence
// File    : glm/gtx.h
///////////////////////////////////////////////////////////////////////////////////////////////////
// Note:
// GTX extensions are experimental extensions
///////////////////////////////////////////////////////////////////////////////////////////////////

#ifndef __glm_glx__
#define __glm_glx__

//#include "./gtx/array_range.h"
#include "./gtx/bit.h"
#include "./gtx/closest_point.h"
#include "./gtx/color_cast.h"
#include "./gtx/color_space.h"
#include "./gtx/compatibility.h"
#include "./gtx/component_wise.h"
//#include "./gtx/complex.h"
#include "./gtx/determinant.h"
#include "./gtx/double.h"
#include "./gtx/epsilon.h"
#include "./gtx/euler_angles.h"
#include "./gtx/extend.h"
#include "./gtx/extented_min_max.h"
#include "./gtx/fast_exponential.h"
#include "./gtx/fast_square_root.h"
#include "./gtx/fast_trigonometry.h"
#include "./gtx/flexible_mix.h"
#include "./gtx/gpu_shader4.h"
#include "./gtx/half.h"
#include "./gtx/handed_coordinate_space.h"
#include "./gtx/hyperbolic.h"
#include "./gtx/inertia.h"
#include "./gtx/integer.h"
#include "./gtx/intersect.h"
#include "./gtx/inverse.h"
#include "./gtx/inverse_transpose.h"
#include "./gtx/mat4x3.h"
//#include "./gtx/mat_mn.h"
#include "./gtx/matrix_access.h"
#include "./gtx/matrix_cross_product.h"
#include "./gtx/matrix_major_storage.h"
#include "./gtx/matrix_projection.h"
#include "./gtx/matrix_query.h"
#include "./gtx/matrix_selection.h"
#include "./gtx/matx.h"
#include "./gtx/mixed_product.h"
#include "./gtx/mul.h"
#include "./gtx/norm.h"
#include "./gtx/normal.h"
#include "./gtx/normalize_dot.h"
#include "./gtx/number_precision.h"
#include "./gtx/optimum_pow.h"
#include "./gtx/orthonormalize.h"
#include "./gtx/outer_product.h"
#include "./gtx/perpendicular.h"
#include "./gtx/polar_coordinates.h"
#include "./gtx/projection.h"
#include "./gtx/quaternion.h"
#include "./gtx/random.h"
#include "./gtx/rotate_vector.h"
#include "./gtx/round.h"
#include "./gtx/spline.h"
#include "./gtx/transform.h"
#include "./gtx/transform2.h"
#include "./gtx/transpose.h"
#include "./gtx/unsigned_int.h"
#include "./gtx/vector_access.h"
#include "./gtx/vector_angle.h"
#include "./gtx/vector_comp_mult.h"
#include "./gtx/vector_query.h"
#include "./gtx/vecx.h"
#include "./gtx/verbose_operator.h"

#endif //__glm_glx__
